using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Extensions;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Exam.Share.ViewResponses.Practices
{
    public class PracticeViewResponse : IViewResponse
    {
        /// <summary>
        /// 练习流水号
        /// </summary>
        [Description("练习流水号")]
        public string Code { get; set; }

        /// <summary>
        /// 练习类型
        /// </summary>
        [Description("练习类型")]
        public string PracticeTypeDesc
        {
            get
            {
                return PracticeType.GetDescription();
            }
        }

        /// <summary>
        /// 练习类型
        /// </summary>
        [Description("练习类型")]
        public EPracticeType PracticeType { get; set; }

        /// <summary>
        /// 出题数量
        /// </summary>
        [Description("出题数量")]
        public int Count { get; set; }

        /// <summary>
        /// 练习人
        /// </summary>
        [Description("练习人")]
        public string UserName { get; set; }

        /// <summary>
        /// 练习时间
        /// </summary>
        [Description("练习时间")]
        public DateTime PracticeTime { get; set; }


        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        public int Status { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [Description("排序")]
        public int SortIndex { get; set; }

        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
    }
}
